<!doctype html>
<html lang="en">
<head>
<title>152-go-team-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Welcome to DebConf 24 Etherpad!</span><br><span class="anonymous" title="anonymous"></span><br><span class="anonymous" title="anonymous">This pad text is synchronized as you type, so that everyone viewing this page sees the same text. This allows you to collaborate seamlessly on documents!</span><br><span class="anonymous" title="anonymous"></span><br><span class="anonymous" title="anonymous">To get started click the 👥 button in the top/bottom right and log in.</span><br><span class="anonymous" title="anonymous"></span><br><span class="anonymous" title="anonymous">Get involved with Etherpad at https://etherpad.org</span><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923"></span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923"></span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923">Go team BoF</span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923"></span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923">Room: Hyorim</span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923">Time: Jul 29 (Mon): 14:30 (UTC+9)</span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923"></span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923">Remote</span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923">https://meet.google.com/bjb-ptbs-dvw</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde"></span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">Attendeens</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">@zhsj</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">@gibmat</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">@nilesh</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">@praveen</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">@zigo</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">@Arthur Diniz</span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">@?</span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923"></span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923">Agenda</span><span class="anonymous" title="anonymous"></span><br><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923">+ grpc/protobuf/container stack transition https://lists.debian.org/debian-go/2024/07/msg00021.html</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe"></span><br><ul class="indent"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Current status:</span></ul><ul class="bullet"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Main list of packages have all been uploaded to unstable (containerd, docker.io, libpod)</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">golang-google-grpc is blocked on a lot of failed autopkgtests, but most of those have been fixed in newer uploads, so just waiting on the dust to settle</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">etcd 3.5 just uploaded to unstable as well</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">More progress details are tracked in the sprint etherpad: https://pad.dc24.debconf.org/p/go-team-sprint</span><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde"></span></ul><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">+ dh-make-golang</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe"></span><br><ul class="indent"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">gophian is another (new) tool to help with packaging tasks</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Do we want to switch over to gohpian as the preferred tool?</span><ul class="indent"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Probably a bit too early to default switch, but maybe soon?</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe"></span></ul></li></ul><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">+ desire to package docker-compose</span><br><ul class="indent"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Existing RFP: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1073850</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">A lot of new dependencies</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe"></span></ul><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">+ Arthur's interst in packaging kubernetes</span><br><ul class="indent"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Members of Go Team are invited to help; there is a seperate Kubernetes Team namespace on salsa for kubernetes-specific packages</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Help requested in reviewing/sponsoring packages for this effort</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Wants to try to follow upstream's three-month update cycle so we don't fall super behind (like with docker.io)</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Need to consider how to handle upgrades from stable -> stable+1 which will have potentially 6+ kubernetes releases that isn't a supported upgrade path by kubernetes (they support v+3 max jump)</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe"></span></ul><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">+ Praveen planning to stop trying to keep gitly golang packages current due to rapid rate of change</span><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde"></span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde"></span><br><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde">+ go ci maintaince</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe"></span><br><ul class="indent"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">VM is essentially unmaintianed</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Do we get rid of it?</span><ul class="indent"><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Runs the gitlab runner, maybe also dh-make-golang's hooks for creating repos</span></li><li><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">*</span><span class="a_i8Tnr43nAGi0vbhs" title="a_i8Tnr43nAGi0vbhs" style="background-color:#7455fe">Make the default runner a no op?</span><span class="a_2eiNPlooYSENNWL0" title="a_2eiNPlooYSENNWL0" style="background-color:#073923"></span></ul></li></ul><span class="a_ys9t7RmvnqlLh1Uz" title="a_ys9t7RmvnqlLh1Uz" style="background-color:#900cde"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
